From 9f9d7a774b845fa81da14d26c67d02de48b8b023 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Fri, 25 Apr 2025 10:39:49 +0300
Subject: [PATCH 42/42] game.ruleset: Fix "disater" typo

See RM #1307

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/alien/game.ruleset         | 2 +-
 data/civ1/game.ruleset          | 2 +-
 data/civ2/game.ruleset          | 2 +-
 data/civ2civ3/game.ruleset      | 2 +-
 data/classic/game.ruleset       | 2 +-
 data/goldkeep/game.ruleset      | 2 +-
 data/granularity/game.ruleset   | 2 +-
 data/multiplayer/game.ruleset   | 2 +-
 data/ruledit/comments-3.4.txt   | 2 +-
 data/sandbox/game.ruleset       | 2 +-
 data/stub/game.ruleset          | 2 +-
 data/webperimental/game.ruleset | 2 +-
 12 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/data/alien/game.ruleset b/data/alien/game.ruleset
index 8e286d487c..4054f81f2d 100644
--- a/data/alien/game.ruleset
+++ b/data/alien/game.ruleset
@@ -421,7 +421,7 @@ negative_label = _("BGE")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/civ1/game.ruleset b/data/civ1/game.ruleset
index 31fabd4a1f..cdd64e8fc1 100644
--- a/data/civ1/game.ruleset
+++ b/data/civ1/game.ruleset
@@ -404,7 +404,7 @@ negative_label = _("BC")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/civ2/game.ruleset b/data/civ2/game.ruleset
index 272670794a..5baf5258ba 100644
--- a/data/civ2/game.ruleset
+++ b/data/civ2/game.ruleset
@@ -400,7 +400,7 @@ negative_label = _("BC")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/civ2civ3/game.ruleset b/data/civ2civ3/game.ruleset
index b18e1cbd23..cd06bd04f1 100644
--- a/data/civ2civ3/game.ruleset
+++ b/data/civ2civ3/game.ruleset
@@ -428,7 +428,7 @@ negative_label = _("BCE")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/classic/game.ruleset b/data/classic/game.ruleset
index f67e14b5cf..97345e10b0 100644
--- a/data/classic/game.ruleset
+++ b/data/classic/game.ruleset
@@ -423,7 +423,7 @@ negative_label = _("BCE")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/goldkeep/game.ruleset b/data/goldkeep/game.ruleset
index b8a45d79e9..c003c2e077 100644
--- a/data/goldkeep/game.ruleset
+++ b/data/goldkeep/game.ruleset
@@ -426,7 +426,7 @@ negative_label = _("BCE")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/granularity/game.ruleset b/data/granularity/game.ruleset
index 50e3f38b1a..c9eabaf3d1 100644
--- a/data/granularity/game.ruleset
+++ b/data/granularity/game.ruleset
@@ -419,7 +419,7 @@ negative_label = _("BCE")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/multiplayer/game.ruleset b/data/multiplayer/game.ruleset
index 7167fd0807..b3661e7fb3 100644
--- a/data/multiplayer/game.ruleset
+++ b/data/multiplayer/game.ruleset
@@ -426,7 +426,7 @@ negative_label = _("BCE")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/ruledit/comments-3.4.txt b/data/ruledit/comments-3.4.txt
index 25372171fb..96b4ee987e 100644
--- a/data/ruledit/comments-3.4.txt
+++ b/data/ruledit/comments-3.4.txt
@@ -1042,7 +1042,7 @@ disasters = "\
 ;                           Final probability for each city each turn is -\n\
 ;                           (this frequency) * (game settings option disasters\n\
 ;                           frequency) / 1000000.\n\
-;                           If omitted, default is 0 and this disater will not occur.\n\
+;                           If omitted, default is 0 and this disaster will not occur.\n\
 ; effects\n\
 ;   - \"DestroyBuilding\"   = Random building is destroyed\n\
 ;   - \"ReducePopulation\"  = Reduce city size by one unless it's already 1\n\
diff --git a/data/sandbox/game.ruleset b/data/sandbox/game.ruleset
index d9f9791215..64657068e1 100644
--- a/data/sandbox/game.ruleset
+++ b/data/sandbox/game.ruleset
@@ -426,7 +426,7 @@ negative_label = _("BCE")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/stub/game.ruleset b/data/stub/game.ruleset
index 70fab0745d..8806f2f61b 100644
--- a/data/stub/game.ruleset
+++ b/data/stub/game.ruleset
@@ -410,7 +410,7 @@ negative_label = _("BCE")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/webperimental/game.ruleset b/data/webperimental/game.ruleset
index 670e0d2781..776a225d45 100644
--- a/data/webperimental/game.ruleset
+++ b/data/webperimental/game.ruleset
@@ -427,7 +427,7 @@ negative_label = _("BC")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
-- 
2.47.2