From 12b546b5d783b3dbc6edb7801c0b4b8cba805a1c Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Fri, 25 Apr 2025 10:43:11 +0300
Subject: [PATCH 14/14] game.ruleset: Fix "disater" typo

See RM #1307

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/alien/game.ruleset         | 2 +-
 data/civ1/game.ruleset          | 2 +-
 data/civ2/game.ruleset          | 2 +-
 data/civ2civ3/game.ruleset      | 2 +-
 data/classic/game.ruleset       | 2 +-
 data/experimental/game.ruleset  | 2 +-
 data/granularity/game.ruleset   | 2 +-
 data/multiplayer/game.ruleset   | 2 +-
 data/ruledit/comments-3.1.txt   | 2 +-
 data/sandbox/game.ruleset       | 2 +-
 data/stub/game.ruleset          | 2 +-
 data/webperimental/game.ruleset | 2 +-
 12 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/data/alien/game.ruleset b/data/alien/game.ruleset
index 7106723c1c..2afa0cb7ce 100644
--- a/data/alien/game.ruleset
+++ b/data/alien/game.ruleset
@@ -1404,7 +1404,7 @@ negative_label = _("BGE")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/civ1/game.ruleset b/data/civ1/game.ruleset
index 0b5c371dbd..b475aaad16 100644
--- a/data/civ1/game.ruleset
+++ b/data/civ1/game.ruleset
@@ -1172,7 +1172,7 @@ negative_label = _("BC")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/civ2/game.ruleset b/data/civ2/game.ruleset
index bf0a1f9a38..5cfd9b3fc4 100644
--- a/data/civ2/game.ruleset
+++ b/data/civ2/game.ruleset
@@ -1482,7 +1482,7 @@ negative_label = _("BC")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/civ2civ3/game.ruleset b/data/civ2civ3/game.ruleset
index 63010cd8ee..c92d8be73c 100644
--- a/data/civ2civ3/game.ruleset
+++ b/data/civ2civ3/game.ruleset
@@ -1854,7 +1854,7 @@ negative_label = _("BCE")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/classic/game.ruleset b/data/classic/game.ruleset
index fc472867d5..44a66023dd 100644
--- a/data/classic/game.ruleset
+++ b/data/classic/game.ruleset
@@ -1722,7 +1722,7 @@ negative_label = _("BCE")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/experimental/game.ruleset b/data/experimental/game.ruleset
index 3ec7e539df..17f5961e76 100644
--- a/data/experimental/game.ruleset
+++ b/data/experimental/game.ruleset
@@ -1794,7 +1794,7 @@ negative_label = _("BCE")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/granularity/game.ruleset b/data/granularity/game.ruleset
index 1f15c1ebab..f7e29b22a2 100644
--- a/data/granularity/game.ruleset
+++ b/data/granularity/game.ruleset
@@ -721,7 +721,7 @@ negative_label = _("BCE")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/multiplayer/game.ruleset b/data/multiplayer/game.ruleset
index 215e173c47..264171b72d 100644
--- a/data/multiplayer/game.ruleset
+++ b/data/multiplayer/game.ruleset
@@ -1713,7 +1713,7 @@ negative_label = _("BCE")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/ruledit/comments-3.1.txt b/data/ruledit/comments-3.1.txt
index 31a1085bf3..ca63abd508 100644
--- a/data/ruledit/comments-3.1.txt
+++ b/data/ruledit/comments-3.1.txt
@@ -1015,7 +1015,7 @@ disasters = "\
 ;                           Final probability for each city each turn is -\n\
 ;                           (this frequency) * (game settings option disasters\n\
 ;                           frequency) / 1000000.\n\
-;                           If omitted, default is 0 and this disater will not occur.\n\
+;                           If omitted, default is 0 and this disaster will not occur.\n\
 ; effects\n\
 ;   - \"DestroyBuilding\"   = Random building is destroyed\n\
 ;   - \"ReducePopulation\"  = Reduce city size by one unless it's already 1\n\
diff --git a/data/sandbox/game.ruleset b/data/sandbox/game.ruleset
index 500f7ef130..736c912f7d 100644
--- a/data/sandbox/game.ruleset
+++ b/data/sandbox/game.ruleset
@@ -3069,7 +3069,7 @@ negative_label = _("BCE")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/stub/game.ruleset b/data/stub/game.ruleset
index 4973e97a47..e176699d95 100644
--- a/data/stub/game.ruleset
+++ b/data/stub/game.ruleset
@@ -581,7 +581,7 @@ negative_label = _("BCE")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/webperimental/game.ruleset b/data/webperimental/game.ruleset
index 94c5adecea..a7ed451cb1 100644
--- a/data/webperimental/game.ruleset
+++ b/data/webperimental/game.ruleset
@@ -1975,7 +1975,7 @@ negative_label = _("BC")
 ;                           Final probability for each city each turn is -
 ;                           (this frequency) * (game settings option disasters
 ;                           frequency) / 1000000.
-;                           If omitted, default is 0 and this disater will not occur.
+;                           If omitted, default is 0 and this disaster will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
-- 
2.47.2