From 283cc01bb2491b3f5f3044436109310282c48788 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Fri, 25 Apr 2025 16:22:53 +0300
Subject: [PATCH 15/15] Update msys2 environment to 240810 level

See RM #1290

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 doc/README.msys2                 | 25 +++++++++++++------------
 windows/installer_msys2/Makefile | 23 ++++++++++++++---------
 2 files changed, 27 insertions(+), 21 deletions(-)

diff --git a/doc/README.msys2 b/doc/README.msys2
index a570cc7344..61f9505600 100644
--- a/doc/README.msys2
+++ b/doc/README.msys2
@@ -10,8 +10,8 @@ using MSYS2 from https://www.msys2.org/
 ==============
 
 Current official premade MSYS2 environment version info:
-[premade]:  msys2-freeciv-win64-230220.7z
-[upstream]: https://repo.msys2.org/distrib/x86_64/msys2-x86_64-20230127.exe
+[premade]:  msys2-freeciv-win64-240810.7z
+[upstream]: https://repo.msys2.org/distrib/x86_64/msys2-x86_64-20240727.exe
 
 See chapter "Premade environment" for what these mean. The info
 is located here for quick reference for the specific freeciv revision.
@@ -38,7 +38,6 @@ is located here for quick reference for the specific freeciv revision.
  with listing of versions current at the time of this freeciv version.
 
  "<arch>" in the package names depends on the build target:
- - win32    -> "i686"
  - win64    -> "x86_64"
  - win64-10 -> "ucrt-x86_64"
 
@@ -79,9 +78,9 @@ is located here for quick reference for the specific freeciv revision.
  freeciv.
 
  - git
- - automake1.16
+ - automake1.17
  - libtool
- - autoconf2.71
+ - autoconf2.72
  - autoconf-wrapper
 
 2.1.2) Arch-specific packages needed for building freeciv
@@ -143,8 +142,7 @@ by the date (YYMMDD) in the freeciv msys2 environment
 Most packages are included for all of win32, win64 and
 ucrt64 (win64, with minimum requirement of Windows 10) targets.
 For each package listed below with <arch> in the name, actually
-three packages are installed;
-one with a name where <arch> is replaced by 'i686',
+two packages are installed;
 one where <arch> is replaced by 'x86_64', and
 one where <arch> is replaced by 'ucrt-x86_64'
 
@@ -154,9 +152,9 @@ Following packages have been installed:
 - tar
 - git
 - patch
-- automake1.16
+- automake1.17
 - libtool
-- autoconf2.71
+- autoconf2.72
 - autoconf-wrapper
 - gdb
 - mingw-w64-<arch>-gcc
@@ -167,16 +165,19 @@ Following packages have been installed:
 - mingw-w64-<arch>-gtk3
 - mingw-w64-<arch>-gtk4
 - mingw-w64-<arch>-nsis
+- mingw-w64-<arch>-7zip
 - mingw-w64-<arch>-SDL2_mixer
 - mingw-w64-<arch>-SDL2_image
 - mingw-w64-<arch>-SDL2_ttf
 - mingw-w64-<arch>-SDL2_gfx
 - mingw-w64-<arch>-imagemagick
-- mingw-w64-i686-qt5-base, mingw-w64-x86_64-qt5-base
+- mingw-w64-x86_64-qt5-base
+- mingw-w64-x86_64-qt5-svg
 - mingw-w64-<arch>-drmingw
 - mingw-w64-<arch>-meson
 - mingw-w64-<arch>-tolua
 - mingw-w64-ucrt-x86_64-qt6-base
+- mingw-w64-ucrt-x86_64-qt6-svg
 
 After all the packages were installed 'pacman -Scc' was run to completely
 empty the package cache for having smaller environment package.
@@ -186,7 +187,7 @@ empty the package cache for having smaller environment package.
 ====================================
 
 Launch build target specific msys2 shell;
-ucrt64.exe, mingw64.exe or mingw32.exe.
+ucrt64.exe or mingw64.exe.
 Get the freeciv sources there somehow. Some options are:
 1) Download freeciv tarball within msys2 shell with wget
 2) Use git within msys2 shell to get them from version control
@@ -215,7 +216,7 @@ Get the freeciv sources there somehow. Some options are:
  newer Windows versions could otherwise have.
  The version is set via MIN_WIN_VER variable. For values to use, see
  list in: https://msdn.microsoft.com/en-us/library/6sehtctf.aspx
- Current default is 0x0603 (Windows 8.1) for "win32" and "win64".
+ Current default is 0x0603 (Windows 8.1) for "win64".
  This is also the lowest value that msys2 upstream supports.
  For "win64-10" the default is 0x0A00 (Windows 10)
 
diff --git a/windows/installer_msys2/Makefile b/windows/installer_msys2/Makefile
index 298a8bdc1b..21d9a854c6 100644
--- a/windows/installer_msys2/Makefile
+++ b/windows/installer_msys2/Makefile
@@ -72,12 +72,8 @@ DLLPATH_PREFIX=/$(ARCHDIR)/bin/
 
 ifeq ($(CI),yes)
 ICUVER=76
-SSP=
-GLES=
 else
-ICUVER=72
-SSP=libssp-0.dll
-GLES=libEGL.dll libGLESv2.dll
+ICUVER=75
 endif
 
 #
@@ -290,6 +286,7 @@ COMMON_DLLS := \
 	libssl-${CRYPTOVERSUF}.dll \
 	libidn2-0.dll \
 	libnghttp2-14.dll \
+	libnghttp3-9.dll \
 	libssh2-1.dll \
 	libcurl-4.dll \
 	libgmp-10.dll \
@@ -331,7 +328,6 @@ COMMON_DLLS := \
 	libbrotlicommon.dll \
 	libreadline8.dll \
 	libtermcap-0.dll \
-	${SSP} \
 	libzstd.dll \
 	libMagickWand-${MAGICKVER}.dll \
 	libMagickCore-${MAGICKVER}.dll \
@@ -398,8 +394,7 @@ GTK4_FCMP_DLLS := \
 	libwebp-7.dll \
 	libdeflate.dll \
 	libjbig-0.dll \
-	libsharpyuv-0.dll \
-	${GLES}
+	libsharpyuv-0.dll
 
 install-env-gtk4-fcmp: install-env-common
 	cp -R $(addprefix $(DLLPATH_PREFIX), $(GTK4_FCMP_DLLS)) install-$(WINARCH)-$(GUI)/
@@ -419,7 +414,15 @@ SDL2_DLLS := \
 	libzstd.dll \
 	libjxl.dll \
 	libbrotlienc.dll \
-	libhwy.dll
+	libhwy.dll \
+	libavif-16.dll \
+	libwebpdemux-2.dll \
+	libjxl_cms.dll \
+	libaom.dll \
+	libdav1d-7.dll \
+	rav1e.dll \
+	libSvtAv1Enc-2.dll \
+	libyuv.dll
 
 install-env-sdl2: install-env-gtk4-fcmp
 	# add DLLs
@@ -482,6 +485,7 @@ RULEDIT_QT5_DLLS := \
 	libssl-${CRYPTOVERSUF}.dll \
 	libidn2-0.dll \
 	libnghttp2-14.dll \
+	libnghttp3-9.dll \
 	libssh2-1.dll \
 	libcurl-4.dll \
 	libgmp-10.dll \
@@ -540,6 +544,7 @@ RULEDIT_QT6_DLLS := \
 	libssl-${CRYPTOVERSUF}.dll \
 	libidn2-0.dll \
 	libnghttp2-14.dll \
+	libnghttp3-9.dll \
 	libssh2-1.dll \
 	libcurl-4.dll \
 	libgmp-10.dll \
-- 
2.47.2