From 6dc6462f600dfa3c70145a4f2bc02784d76beee3 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Thu, 1 May 2025 16:08:02 +0300
Subject: [PATCH 28/28] client/include: Remove trailing spaces

See RM #1332

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 client/include/canvas_g.h              | 2 +-
 client/include/chatline_g.h            | 2 +-
 client/include/citydlg_g.h             | 2 +-
 client/include/cityrep_g.h             | 2 +-
 client/include/colors_g.h              | 2 +-
 client/include/finddlg_g.h             | 2 +-
 client/include/gotodlg_g.h             | 2 +-
 client/include/gui_proto_constructor.h | 2 +-
 client/include/inteldlg_g.h            | 2 +-
 client/include/mapctrl_g.h             | 2 +-
 client/include/menu_g.h                | 2 +-
 client/include/messagewin_g.h          | 2 +-
 client/include/plrdlg_g.h              | 2 +-
 client/include/ratesdlg_g.h            | 2 +-
 client/include/spaceshipdlg_g.h        | 2 +-
 client/include/voteinfo_bar_g.h        | 2 +-
 client/include/wldlg_g.h               | 2 +-
 17 files changed, 17 insertions(+), 17 deletions(-)

diff --git a/client/include/canvas_g.h b/client/include/canvas_g.h
index 3ecb5477e4..143aab0173 100644
--- a/client/include/canvas_g.h
+++ b/client/include/canvas_g.h
@@ -42,7 +42,7 @@ GUI_FUNC_PROTO(void, canvas_copy, struct canvas *dest, struct canvas *src,
 GUI_FUNC_PROTO(void, canvas_put_sprite, struct canvas *pcanvas,
                int canvas_x, int canvas_y, struct sprite *sprite,
                int offset_x, int offset_y, int width, int height);
-GUI_FUNC_PROTO(void, canvas_put_sprite_full, struct canvas *pcanvas, 
+GUI_FUNC_PROTO(void, canvas_put_sprite_full, struct canvas *pcanvas,
                int canvas_x, int canvas_y,
                struct sprite *sprite)
 GUI_FUNC_PROTO(void, canvas_put_sprite_full_scaled, struct canvas *pcanvas,
diff --git a/client/include/chatline_g.h b/client/include/chatline_g.h
index d59cd10655..39fefa0ec2 100644
--- a/client/include/chatline_g.h
+++ b/client/include/chatline_g.h
@@ -1,4 +1,4 @@
-/********************************************************************** 
+/***********************************************************************
  Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
diff --git a/client/include/citydlg_g.h b/client/include/citydlg_g.h
index 825b855a59..c8acd00656 100644
--- a/client/include/citydlg_g.h
+++ b/client/include/citydlg_g.h
@@ -1,4 +1,4 @@
-/********************************************************************** 
+/***********************************************************************
  Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
diff --git a/client/include/cityrep_g.h b/client/include/cityrep_g.h
index bcd5002273..df2811fa38 100644
--- a/client/include/cityrep_g.h
+++ b/client/include/cityrep_g.h
@@ -1,4 +1,4 @@
-/********************************************************************** 
+/***********************************************************************
  Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
diff --git a/client/include/colors_g.h b/client/include/colors_g.h
index 38d40e9b80..fdd9eb864b 100644
--- a/client/include/colors_g.h
+++ b/client/include/colors_g.h
@@ -1,4 +1,4 @@
-/********************************************************************** 
+/***********************************************************************
  Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
diff --git a/client/include/finddlg_g.h b/client/include/finddlg_g.h
index d335bc5332..9863ffa07b 100644
--- a/client/include/finddlg_g.h
+++ b/client/include/finddlg_g.h
@@ -1,4 +1,4 @@
-/********************************************************************** 
+/***********************************************************************
  Freeciv - Copyright (C) 2003 - The Freeciv Project
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
diff --git a/client/include/gotodlg_g.h b/client/include/gotodlg_g.h
index e375d722b8..7c427419bf 100644
--- a/client/include/gotodlg_g.h
+++ b/client/include/gotodlg_g.h
@@ -1,4 +1,4 @@
-/********************************************************************** 
+/***********************************************************************
  Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
diff --git a/client/include/gui_proto_constructor.h b/client/include/gui_proto_constructor.h
index 434ca7ca29..218c1c71a6 100644
--- a/client/include/gui_proto_constructor.h
+++ b/client/include/gui_proto_constructor.h
@@ -1,4 +1,4 @@
-/********************************************************************** 
+/***********************************************************************
  Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
diff --git a/client/include/inteldlg_g.h b/client/include/inteldlg_g.h
index d670b26e24..6171336b50 100644
--- a/client/include/inteldlg_g.h
+++ b/client/include/inteldlg_g.h
@@ -1,4 +1,4 @@
-/********************************************************************** 
+/***********************************************************************
  Freeciv - Copyright (C) 2003 - The Freeciv Project
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
diff --git a/client/include/mapctrl_g.h b/client/include/mapctrl_g.h
index d938a8cbe7..f4604631b7 100644
--- a/client/include/mapctrl_g.h
+++ b/client/include/mapctrl_g.h
@@ -1,4 +1,4 @@
-/********************************************************************** 
+/***********************************************************************
  Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
diff --git a/client/include/menu_g.h b/client/include/menu_g.h
index aa2c37ec19..211676def5 100644
--- a/client/include/menu_g.h
+++ b/client/include/menu_g.h
@@ -1,4 +1,4 @@
-/********************************************************************** 
+/***********************************************************************
  Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
diff --git a/client/include/messagewin_g.h b/client/include/messagewin_g.h
index 465ffd6cba..bfbf088a60 100644
--- a/client/include/messagewin_g.h
+++ b/client/include/messagewin_g.h
@@ -1,4 +1,4 @@
-/********************************************************************** 
+/***********************************************************************
  Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
diff --git a/client/include/plrdlg_g.h b/client/include/plrdlg_g.h
index 4ade372eba..2a7fcab851 100644
--- a/client/include/plrdlg_g.h
+++ b/client/include/plrdlg_g.h
@@ -1,4 +1,4 @@
-/********************************************************************** 
+/***********************************************************************
  Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
diff --git a/client/include/ratesdlg_g.h b/client/include/ratesdlg_g.h
index 7befcf6064..6a6df622c2 100644
--- a/client/include/ratesdlg_g.h
+++ b/client/include/ratesdlg_g.h
@@ -1,4 +1,4 @@
-/********************************************************************** 
+/***********************************************************************
  Freeciv - Copyright (C) 2003 - The Freeciv Project
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
diff --git a/client/include/spaceshipdlg_g.h b/client/include/spaceshipdlg_g.h
index 4e97490a74..b5daac909c 100644
--- a/client/include/spaceshipdlg_g.h
+++ b/client/include/spaceshipdlg_g.h
@@ -1,4 +1,4 @@
-/********************************************************************** 
+/***********************************************************************
  Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
diff --git a/client/include/voteinfo_bar_g.h b/client/include/voteinfo_bar_g.h
index 80b54dc8ce..f3c719fa9a 100644
--- a/client/include/voteinfo_bar_g.h
+++ b/client/include/voteinfo_bar_g.h
@@ -1,4 +1,4 @@
-/********************************************************************** 
+/***********************************************************************
  Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
diff --git a/client/include/wldlg_g.h b/client/include/wldlg_g.h
index eb07db94e5..5d1e7ca1d0 100644
--- a/client/include/wldlg_g.h
+++ b/client/include/wldlg_g.h
@@ -1,4 +1,4 @@
-/********************************************************************** 
+/***********************************************************************
  Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
-- 
2.47.2