From 2fd41ecb8bcdc125018bc17a2374cc241234807f Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Thu, 1 May 2025 19:41:55 +0300
Subject: [PATCH 12/12] Correct "informations" to "information"

See RM #1335

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 client/client_main.c    |  2 +-
 client/gui-qt/dialogs.h |  2 +-
 client/packhand.c       |  4 ++--
 common/citizens.c       |  2 +-
 common/city.c           | 10 +++++-----
 common/featured_text.h  |  2 +-
 6 files changed, 11 insertions(+), 11 deletions(-)

diff --git a/client/client_main.c b/client/client_main.c
index b0b1b2d9e4..8d49924974 100644
--- a/client/client_main.c
+++ b/client/client_main.c
@@ -925,7 +925,7 @@ void set_client_state(enum client_states newstate)
       client_game_init();
     } else {
       /* From an upper state means that we didn't quit the server,
-       * so a lot of informations are still in effect. */
+       * so a lot of information is still in effect. */
       client_game_reset();
       options_dialogs_update();
     }
diff --git a/client/gui-qt/dialogs.h b/client/gui-qt/dialogs.h
index a88469b25c..56b6e6384a 100644
--- a/client/gui-qt/dialogs.h
+++ b/client/gui-qt/dialogs.h
@@ -167,7 +167,7 @@ private:
 };
 
 /***************************************************************************
-  Widget around map view to display informations like demographics report,
+  Widget around map view to display information like demographics report,
   top 5 cities, traveler's report.
 ***************************************************************************/
 class notify_dialog:public fcwidget
diff --git a/client/packhand.c b/client/packhand.c
index ea8a816533..6007e278f8 100644
--- a/client/packhand.c
+++ b/client/packhand.c
@@ -1360,7 +1360,7 @@ void handle_city_short_info(const struct packet_city_short_info *packet)
 
   improvement_iterate(pimprove) {
     /* Don't update the non-visible improvements, they could hide the
-     * previously seen informations about the city (diplomat investigation).
+     * previously seen information about the city (diplomat investigation).
      */
     if (is_improvement_visible(pimprove)) {
       bool have = BV_ISSET(packet->improvements,
@@ -2544,7 +2544,7 @@ void handle_player_remove(int playerno)
     close_intel_dialog(pplayer);
   }
 
-  /* Update the connection informations. */
+  /* Update the connection information. */
   if (client_player() == pplayer) {
     client.conn.playing = NULL;
   }
diff --git a/common/citizens.c b/common/citizens.c
index 2decdb33b1..fe5d5fe70f 100644
--- a/common/citizens.c
+++ b/common/citizens.c
@@ -37,7 +37,7 @@ void citizens_init(struct city *pcity)
     return;
   }
 
-  /* For the nationality of the citizens the informations for all player
+  /* For the nationality of the citizens the information for all player
    * slots are allocated as once. Considering a size of citizens (= char)
    * this results in an allocation of 2 * 128 * 1 bytes for the citizens
    * per nation as well as the timer for a nationality change. */
diff --git a/common/city.c b/common/city.c
index 728337b690..7082148d34 100644
--- a/common/city.c
+++ b/common/city.c
@@ -55,9 +55,9 @@ static void citylog_map_index(enum log_level level);
 static void citylog_map_radius_sq(enum log_level level);
 #endif /* FREECIV_DEBUG */
 
-/* Get city tile informations using the city tile index. */
+/* Get city tile information using the city tile index. */
 static struct iter_index *city_map_index = NULL;
-/* Get city tile informations using the city tile coordinates. This is an
+/* Get city tile information using the city tile coordinates. This is an
  * [x][y] array of integer values corresponding to city_map_index. The
  * coordinates x and y are in the range [0, CITY_MAP_MAX_SIZE] */
 static int city_map_xy[CITY_MAP_MAX_SIZE][CITY_MAP_MAX_SIZE];
@@ -2783,11 +2783,11 @@ int city_illness_calc(const struct city *pcity, int *ill_base,
     illness_size = (int)((1.0 - exp(- (float)use_size / 10.0))
                          * 10.0 * game.info.illness_base_factor);
     if (is_server()) {
-      /* on the server we recalculate the illness due to trade as we have
-       * all informations */
+      /* On the server we recalculate the illness due to trade as we have
+       * all the information */
       illness_trade = get_trade_illness(pcity);
     } else {
-      /* on the client we have to rely on the value saved within the city
+      /* On the client we have to rely on the value saved within the city
        * struct */
       illness_trade = pcity->illness_trade;
     }
diff --git a/common/featured_text.h b/common/featured_text.h
index 13c3fc9860..f16b842546 100644
--- a/common/featured_text.h
+++ b/common/featured_text.h
@@ -46,7 +46,7 @@ extern "C" {
  * Text tag.
  *
  * The text_tag type is a structure which tag a particular modification for
- * a string. It contains many informations, which the type of modification,
+ * a string. It contains much information, which the type of modification,
  * the start of the modification in bytes from the start of the string, and
  * the stop of it. It also can contains many others fields, according to
  * sequence type.
-- 
2.47.2