From 5e19b6925db99f627fa267574862f9ae7537956e Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Fri, 2 May 2025 03:40:43 +0300
Subject: [PATCH 41/41] terrain.rulesets: Replace tabs with spaces

See RM #1345

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/alien/terrain.ruleset       | 24 +++++++++++-----------
 data/civ1/terrain.ruleset        |  2 +-
 data/granularity/terrain.ruleset | 34 ++++++++++++++++----------------
 data/stub/terrain.ruleset        | 16 +++++++--------
 4 files changed, 38 insertions(+), 38 deletions(-)

diff --git a/data/alien/terrain.ruleset b/data/alien/terrain.ruleset
index ff3c818628..b3b4fbb504 100644
--- a/data/alien/terrain.ruleset
+++ b/data/alien/terrain.ruleset
@@ -211,8 +211,8 @@ ocean_resources = TRUE
 ; color.r              = color of the terrain (red value)
 ; color.g              = color of the terrain (green value)
 ; color.b              = color of the terrain (blue value)
-; helptext	       = optional help text string; should escape all raw
-;		         newlines so that xgettext parsing works
+; helptext             = optional help text string; should escape all raw
+;                        newlines so that xgettext parsing works
 ;
 ; */ <-- avoid gettext warnings
 
@@ -261,9 +261,9 @@ No unit can enter this terrain, nor can city work the tile.\
 [terrain_savannah]
 name                 = _("Savannah")
 graphic              = "savannah"
-graphic_alt	     = "grassland"
+graphic_alt          = "grassland"
 graphic_alt2         = "-"
-identifier	     = "g" ; Since this used to be "Grassland"
+identifier           = "g" ; Since this used to be "Grassland"
 class                = "Land"
 movement_cost        = 1
 defense_bonus        = 0
@@ -303,16 +303,16 @@ property_green       = 50
 color.r              = 10
 color.g              = 123
 color.b              = 2
-helptext	     = _("\
+helptext             = _("\
 For some reason, there is Earth like plants and animals around.\
 ")
 
 [terrain_alien_forest]
 name                 = _("Alien Forest")
 graphic              = "alien_forest"
-graphic_alt	     = "forest"
+graphic_alt          = "forest"
 graphic_alt2         = "-"
-identifier	     = "f"
+identifier           = "f"
 class                = "Land"
 movement_cost        = 2
 defense_bonus        = 50
@@ -352,7 +352,7 @@ property_foliage     = 50
 color.r              = 43
 color.g              = 107
 color.b              = 19
-helptext	     = _("\
+helptext             = _("\
 These forests are filled with strange alien organisms. This planet's \
 radiation makes it impossible for Earthly organisms to survive here.\n\n\
 Cities can work these tiles only when Organic Structures is known. \
@@ -362,9 +362,9 @@ Inventing Alien Rights gives +1 production bonus to Alien Forest tiles.\
 [terrain_radiating_rocks]
 name                 = _("Radiating Rocks")
 graphic              = "radiating_rocks"
-graphic_alt	     = "desert"
+graphic_alt          = "desert"
 graphic_alt2         = "-"
-identifier	     = "d"
+identifier           = "d"
 class                = "Land"
 movement_cost        = 2
 defense_bonus        = 50
@@ -404,7 +404,7 @@ property_tropical    = 50
 color.r              = 205
 color.g              = 92
 color.b              = 92
-helptext	     = _("\
+helptext             = _("\
 Planet's radiation makes it impossible for Earth organisms to survive here.\
 \n\n\
 Cities can work these tiles only when Organic Structures is known.\
@@ -551,7 +551,7 @@ property_ocean_depth = 35
 color.r              = 0
 color.g              = 0
 color.b              = 200
-helptext	     = _("\
+helptext             = _("\
 This is normal oceanic terrain.\
 ")
 
diff --git a/data/civ1/terrain.ruleset b/data/civ1/terrain.ruleset
index 74ba3e8062..4a4d98ea79 100644
--- a/data/civ1/terrain.ruleset
+++ b/data/civ1/terrain.ruleset
@@ -548,7 +548,7 @@ warmer_wetter_result = "no"
 warmer_drier_result  = "no"
 cooler_wetter_result = "Desert"
 cooler_drier_result  = "Tundra"
-native_to     	     = "Land", "Air", "Missile"
+native_to            = "Land", "Air", "Missile"
 property_foliage     = 50
 property_tropical    = 50
 color.r              = 55
diff --git a/data/granularity/terrain.ruleset b/data/granularity/terrain.ruleset
index 1e4b359b97..baceee5e9c 100644
--- a/data/granularity/terrain.ruleset
+++ b/data/granularity/terrain.ruleset
@@ -207,15 +207,15 @@ ocean_resources = FALSE
 ; color.r              = color of the terrain (red value)
 ; color.g              = color of the terrain (green value)
 ; color.b              = color of the terrain (blue value)
-; helptext	       = optional help text string; should escape all raw
-;		         newlines so that xgettext parsing works
+; helptext             = optional help text string; should escape all raw
+;                        newlines so that xgettext parsing works
 
 [terrain_grassland]
 name                 = _("Grassland")
 graphic              = "grassland"
-graphic_alt	     = "-"
+graphic_alt          = "-"
 graphic_alt2         = "-"
-identifier	     = "g"
+identifier           = "g"
 class                = "Land"
 movement_cost        = 50
 defense_bonus        = 0
@@ -255,16 +255,16 @@ property_green       = 50
 color.r              = 200
 color.g              = 200
 color.b              = 200
-helptext	     = _("\
+helptext             = _("\
 Grasslands afford exceptional agricultural opportunities.\
 ")
 
 [terrain_forest]
 name                 = _("Forest")
 graphic              = "forest"
-graphic_alt	     = "-"
+graphic_alt          = "-"
 graphic_alt2         = "-"
-identifier	     = "f"
+identifier           = "f"
 class                = "Land"
 movement_cost        = 150
 defense_bonus        = 30
@@ -304,16 +304,16 @@ property_foliage     = 50
 color.r              = 43
 color.g              = 107
 color.b              = 19
-helptext	     = _("\
+helptext             = _("\
 Forest provides easily harvested resources.\
 ")
 
 [terrain_mountains]
 name                 = _("Mountains")
 graphic              = "mountains"
-graphic_alt	     = "-"
+graphic_alt          = "-"
 graphic_alt2         = "-"
-identifier	     = "m"
+identifier           = "m"
 class                = "Land"
 movement_cost        = 500
 defense_bonus        = 100
@@ -352,7 +352,7 @@ property_mountainous = 75
 color.r              = 129
 color.g              = 127
 color.b              = 118
-helptext	     = _("\
+helptext             = _("\
 Hard to farm. Hard to develop. Hard to pass.\
 ")
 
@@ -409,9 +409,9 @@ Plains are very broad, sparse regions, which makes trade slightly\
 [terrain_ocean]
 name                 = _("Ocean")
 graphic              = "coast"
-graphic_alt	     = "-"
+graphic_alt          = "-"
 graphic_alt2         = "-"
-identifier	     = " "
+identifier           = " "
 class                = "Oceanic"
 movement_cost        = 50
 defense_bonus        = 0
@@ -450,16 +450,16 @@ property_ocean_depth = 10
 color.r              = 50
 color.g              = 50
 color.b              = 230
-helptext	     = _("\
+helptext             = _("\
 Shallow Ocean usually exist only next to land.\
 ")
 
 [terrain_deep_ocean]
 name                 = _("Deep Ocean")
 graphic              = "deep_ocean"
-graphic_alt	     = "floor"
+graphic_alt          = "floor"
 graphic_alt2         = "coast"
-identifier	     = ":"
+identifier           = ":"
 class                = "Oceanic"
 movement_cost        = 50
 defense_bonus        = 0
@@ -498,7 +498,7 @@ property_ocean_depth = 85
 color.r              = 0
 color.g              = 33
 color.b              = 129
-helptext	     = _("\
+helptext             = _("\
 Deep Ocean usually exist further away from the land.\
 ")
 
diff --git a/data/stub/terrain.ruleset b/data/stub/terrain.ruleset
index 9c3f51aab6..c7e12070d1 100644
--- a/data/stub/terrain.ruleset
+++ b/data/stub/terrain.ruleset
@@ -198,15 +198,15 @@ ocean_resources = FALSE
 ; color.r              = color of the terrain (red value)
 ; color.g              = color of the terrain (green value)
 ; color.b              = color of the terrain (blue value)
-; helptext	       = optional help text string; should escape all raw
-;		         newlines so that xgettext parsing works
+; helptext             = optional help text string; should escape all raw
+;                        newlines so that xgettext parsing works
 
 [terrain_generic]
 name                 = _("Generic")
 graphic              = "generic"
-graphic_alt	     = "grassland"
+graphic_alt          = "grassland"
 graphic_alt2         = "-"
-identifier	     = "g"
+identifier           = "g"
 class                = "Land"
 movement_cost        = 1
 defense_bonus        = 0
@@ -246,16 +246,16 @@ property_green       = 50
 color.r              = 200
 color.g              = 200
 color.b              = 200
-helptext	     = _("\
+helptext             = _("\
 This is only possible land terrain.\
 ")
 
 [terrain_ocean]
 name                 = _("Ocean")
 graphic              = "coast"
-graphic_alt	     = "-"
+graphic_alt          = "-"
 graphic_alt2         = "-"
-identifier	     = " "
+identifier           = " "
 class                = "Oceanic"
 movement_cost        = 1
 defense_bonus        = 0
@@ -294,7 +294,7 @@ property_ocean_depth = 10
 color.r              = 50
 color.g              = 50
 color.b              = 230
-helptext	     = _("\
+helptext             = _("\
 This is only possible oceanic terrain.\
 ")
 
-- 
2.47.2